Cloudflare
Store a Cloudflare API token and list its zones
POST
Permission: domains.manage
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
site_id*Site IdFormat
uuidapplication/json- body
api_token*Api TokenCloudflare API token
Length
20 <= length <= 1024Successful Response
application/json- response
success*booleandata*The result; on an error, details such as code and permission.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X POST "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/cloudflare/connect" \ -H "Content-Type: application/json" \ -d '{ "api_token": "stringstringstringst" }'{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "connected": true, "account_name": null, "zones": [ { "id": "string", "name": "string", "status": null, "plan": null, "account_id": null, "account_name": null } ] }}